package jj.tech.paolu.repository.mybatis.control;

import jj.tech.paolu.repository.mybatis.dao.SysOrgMapper;
import jj.tech.paolu.repository.mybatis.entity.SysOrg;
import jj.tech.paolu.utils.IDHelp;
import jj.tech.paolu.utils.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("mybatis/sysOrg")
public class SysOrgController {

    @Autowired
    public SysOrgMapper sysOrgMapper;

    @PostMapping("findById/{id}")
    public Object findById(@PathVariable("id") String id) {
        return R.SUCCESS(sysOrgMapper.selectByPrimaryKey(id).orElse(null));
    }

    @PostMapping("delete/{id}")
    public Object delete(@PathVariable("id") String id) {
        return R.SUCCESS(sysOrgMapper.deleteByPrimaryKey(id));
    }

    @PostMapping("save")
    public Object save(@RequestBody SysOrg record) {
        record.setId(IDHelp.getInstance().nextId());
        return R.SUCCESS(sysOrgMapper.insertSelective(record));
    }

    @PostMapping("update")
    public Object update(@RequestBody SysOrg record) {
        return R.SUCCESS(sysOrgMapper.updateByPrimaryKeySelective(record));
    }
}